<?php


namespace CMSMSExt\core;


trait TMagicCallStatic
{
  public static function __callStatic($name, $arguments)
  {
    if( !\startswith($name,  '_') && \method_exists(__CLASS__, $name) )
    {
      return \call_user_func_array([__CLASS__, $name], $arguments);
    }
    
    throw new \BadMethodCallException(__CLASS__ . '::' . $name);
  }
}

?>